%define anolis_release 1
%undefine _ld_as_needed

Name:           numatop
Version:        2.4
Release:        %{anolis_release}%{?dist}
Summary:        Memory access locality characterization and analysis
License:        BSD-3-Clause
URL:            https://01.org/numatop
Source0:        https://github.com/intel/numatop/archive/refs/tags/v%{version}.tar.gz

Patch0:         format.patch

BuildRequires:  autoconf automake make libtool gcc
BuildRequires:  check-devel ncurses-devel numactl-devel

ExclusiveArch:  x86_64

%description
NumaTOP is an observation tool for runtime memory locality characterization and
analysis of processes and threads running on a NUMA system. It helps the user
characterize the NUMA behavior of processes and threads and identify where the
NUMA-related performance bottlenecks reside.

NumaTOP supports the Intel Xeon processors and PowerPC processors.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.


%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf --force --install --symlink
%configure
%make_build


%install
%make_install
%generate_compatibility_deps

%check
%make_build check

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8*
%dir %{abidir}
%{abidir}/numatop-option.list

%files doc
%doc AUTHORS

%changelog
* Fri Mar 21 2025 Hong Wei Qin <qhw01063182@alibaba-inc.com> - 2.4-1
- Update to 2.3-1 from 2.4-1

* Mon Apr 24 2023 happy_orange <songnannan@linux.alibaba.com> - 2.3-1
- package init
